[closed] Error launching AQM creator on a mac

Discussions about onboard maps, online maps and Map Creators
cz99

[closed] Error launching AQM creator on a mac

Post by cz99 » Sat Apr 17, 2010 7:54 pm

I see this error message when trying to launch the jar file:

$ ./start.sh
Exception in thread "main" java.lang.UnsupportedClassVersionError: Bad version number in .class file
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:676)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:124)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:260)
at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
at java.lang.ClassLoader.loadClass(ClassLoader.java:317)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:280)
at java.lang.ClassLoader.loadClass(ClassLoader.java:252)
at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:375)

Psyberia-Support
Site Admin
Posts: 4888
Joined: Wed Apr 14, 2010 9:41 pm

Re: Error launching AQM creator on a mac

Post by Psyberia-Support » Sun Apr 18, 2010 8:21 am

Hi,
It seems that you don't have the required Java runtime installed. You need Java > 1.6 (update 14).
Can you confirm that you have an older version ?
Do you like AlpineQuest ? Leave a small comment on Google Play !

Post Reply